LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XDiagramProvider Interface Reference

Gives access to a single diagram. More...

`import "XDiagramProvider.idl";`

Inheritance diagram for XDiagramProvider:

## Public Member Functions
XDiagram | getDiagram ()
void | setDiagram ([in] XDiagram xDiagram)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Gives access to a single diagram.

This interface is needed by the wrapper for the old API (namespace com::sun::star::chart).

## Member Function Documentation

## ◆ getDiagram()

XDiagram getDiagram | ( |  | ) |

## ◆ setDiagram()

void setDiagram | ( | [in] XDiagram | xDiagram | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XDiagramProvider.idl